<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Galería</title>
	<link rel="stylesheet" type="text/css" href="1.css">
</head>
<body onload="precarga()">
	<script type="text/javascript">
		var arrayfotos = [];

		function precarga(){
			for(var i = 0; i < 4; i++){
				arrayfotos[i] = new Image;
				arrayfotos[i].src = 'img/foto' + (i+1) + '.jpg';
			}
		}
	</script>
	<div class="wrapper">
		<div class="cabecera">
			<ul class="menu">
				<li class="boton" onclick="muestra('uno')">beach</li>
				<li class="boton" onclick="muestra('dos')">wild animals</li>
				<li class="boton" onclick="muestra('tres')">flowers</li>
				<li class="boton" onclick="muestra('cuatro')">people</li>
			</ul>
		</div>
		<div class="lightbox">
			<div class="fotop" id="principal">
				<script>
					function muestra(arg){
						switch(arg){
							case 'uno':
								document.getElementById("principal").style.backgroundImage="url(" + arrayfotos[0].src + ")";
								break;
							case 'dos':
								document.getElementById("principal").style.backgroundImage="url(" + arrayfotos[1].src + ")";
								break;
							case 'tres':
								document.getElementById("principal").style.backgroundImage="url(" + arrayfotos[2].src + ")";
								break;
							case 'cuatro':
								document.getElementById("principal").style.backgroundImage="url(" + arrayfotos[3].src + ")";
								break;
							default:
						}
					}
				</script>
			</div>
		</div>
		<div class="pie">
			<div class="fila1">
				<div class="thumb" id="uno" onclick="muestra('uno')"></div>
				<div class="thumb" id="dos" onclick="muestra('dos')"></div>
				<div class="thumb" id="tres" onclick="muestra('tres')"></div>
				<div class="thumb" id="cuatro" onclick="muestra('cuatro')"></div>
			</div>
		</div>
	</div>
</body>
</html>